IdentifierResolver (Hadoop 0.20.2-cdh3u1 API)
Date: 2011-07-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.streaming.io
Class IdentifierResolver

    java.lang.Object
      org.apache.hadoop.streaming.io.IdentifierResolver

    public class IdentifierResolver

extends Object

This class is used to resolve a string identifier into the required IO classes. By extending this class and pointing the property `stream.io.identifier.resolver.class` to this extension, additional IO classes can be added by external code.

Field Summary
`static String` | `RAW_BYTES_ID`
`static String` | `TEXT_ID`
`static String` | `TYPED_BYTES_ID`

Constructor Summary
`IdentifierResolver()`

Method Summary
`Class<? extends InputWriter>` | `getInputWriterClass()` Returns the resolved `InputWriter` class.
`Class` | `getOutputKeyClass()` Returns the resolved output key class.
`Class<? extends OutputReader>` | `getOutputReaderClass()` Returns the resolved `OutputReader` class.
`Class` | `getOutputValueClass()` Returns the resolved output value class.
`void` | `resolve(String identifier)` Resolves a given identifier.
`protected void` | `setInputWriterClass(Class<? extends InputWriter> inputWriterClass)` Sets the `InputWriter` class.
`protected void` | `setOutputKeyClass(Class outputKeyClass)` Sets the output key class class.
`protected void` | `setOutputReaderClass(Class<? extends OutputReader> outputReaderClass)` Sets the `OutputReader` class.
`protected void` | `setOutputValueClass(Class outputValueClass)` Sets the output value class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TEXT_ID

    public static final String TEXT_ID

See Also:
  Constant Field Values

### RAW_BYTES_ID

    public static final String RAW_BYTES_ID

See Also:
  Constant Field Values

### TYPED_BYTES_ID

    public static final String TYPED_BYTES_ID

See Also:
  Constant Field Values

Constructor Detail

### IdentifierResolver

    public IdentifierResolver()

Method Detail

### resolve

    public void resolve(String identifier)

  Resolves a given identifier. This method has to be called before calling any of the getters.

### getInputWriterClass

    public Class<? extends InputWriter> getInputWriterClass()

  Returns the resolved `InputWriter` class.

### getOutputReaderClass

    public Class<? extends OutputReader> getOutputReaderClass()

  Returns the resolved `OutputReader` class.

### getOutputKeyClass

    public Class getOutputKeyClass()

  Returns the resolved output key class.

### getOutputValueClass

    public Class getOutputValueClass()

  Returns the resolved output value class.

### setInputWriterClass

    protected void setInputWriterClass(Class<? extends InputWriter> inputWriterClass)

  Sets the `InputWriter` class.

### setOutputReaderClass

    protected void setOutputReaderClass(Class<? extends OutputReader> outputReaderClass)

  Sets the `OutputReader` class.

### setOutputKeyClass

    protected void setOutputKeyClass(Class outputKeyClass)

  Sets the output key class class.

### setOutputValueClass

    protected void setOutputValueClass(Class outputValueClass)

  Sets the output value class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation